Package: groovy.swing.binding

## [Java] Class JComponentProperties

- groovy.swing.binding.JComponentProperties

-     public class JComponentProperties
      extends Object

  Since:
    Groovy 1.6

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `componentHidden(ComponentEvent event)`
    `` | `public void` | `componentMoved(ComponentEvent event)`
    `` | `public void` | `componentMoved(ComponentEvent event)`
    `` | `public void` | `componentMoved(ComponentEvent event)`
    `` | `public void` | `componentResized(ComponentEvent event)`
    `` | `public void` | `componentResized(ComponentEvent event)`
    `` | `public void` | `componentResized(ComponentEvent event)`
    `` | `public void` | `componentResized(ComponentEvent event)`
    `` | `public void` | `componentShown(ComponentEvent event)`
    `` | `public FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `` | `public FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `` | `public FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `` | `public FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `` | `public FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `` | `public FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `` | `public FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `` | `public static Map<String, TriggerBinding>` | `getSyntheticProperties()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public void componentHidden(ComponentEvent event)

    - #### @Override
      public void componentMoved(ComponentEvent event)

    - #### @Override
      public void componentMoved(ComponentEvent event)

    - #### @Override
      public void componentMoved(ComponentEvent event)

    - #### @Override
      public void componentResized(ComponentEvent event)

    - #### @Override
      public void componentResized(ComponentEvent event)

    - #### @Override
      public void componentResized(ComponentEvent event)

    - #### @Override
      public void componentResized(ComponentEvent event)

    - #### @Override
      public void componentShown(ComponentEvent event)

    - #### @Override
      public FullBinding createBinding(SourceBinding source, TargetBinding target)

    - #### @Override
      public FullBinding createBinding(SourceBinding source, TargetBinding target)

    - #### @Override
      public FullBinding createBinding(SourceBinding source, TargetBinding target)

    - #### @Override
      public FullBinding createBinding(SourceBinding source, TargetBinding target)

    - #### @Override
      public FullBinding createBinding(SourceBinding source, TargetBinding target)

    - #### @Override
      public FullBinding createBinding(SourceBinding source, TargetBinding target)

    - #### @Override
      public FullBinding createBinding(SourceBinding source, TargetBinding target)

    - #### public static Map<String, TriggerBinding> getSyntheticProperties()